package setpersist.session;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import setpersist.entity.Shipment;
import setpersist.entity.Person;


public class Gee1SessionMobile {

    @PersistenceContext(unitName = "PU_G1_Web")
    EntityManager em;

    public Gee1SessionMobile() {
    }

    public Gee1SessionMobile(EntityManager em) {
        this.em = em;
    }

    public void changeLeg(Integer shipmentId, Person seller, Integer memberId, Long agreementId){
        Shipment shipment = em.find(Shipment.class, shipmentId);
        // Attach one buyer
        Person buyer = em.find(Person.class, memberId);
        shipment.attachBuyer(buyer, agreementId, em);
    }

    public Shipment createShipment() {
        Shipment shipment = new Shipment();
        em.persist(shipment);
        return shipment;
    }

}
